{"swagger":"2.0","info":{"description":"<p>This represents the available REST interfaces associated with Engineering Village record retrieval.</p><p>Interactive Swagger documentation can be found <a href='https://api.engineeringvillage.com/EvDataWebServices/swagger-ui.html'>here</a> along with the <a href='https://api.engineeringvillage.com/EvDataWebServices/v2/api-docs?group=01-ev-retrieval-api'>Swagger definition</a></p>","version":"1.0.0","title":"The Engineering Village Retrieval API","contact":{"name":"integrationsupport@elsevier.com"},"license":{"name":"Copyright © 2020 Elsevier B.V."}},"host":"api.engineeringvillage.com","basePath":"/EvDataWebServices","tags":[{"name":"public-search-controller","description":"Public Search Controller"}],"paths":{"/records":{"get":{"tags":["public-search-controller"],"summary":"Engineering Village Retreival API","description":"This represents a record retrieval from the Engineering Village databases. ","operationId":"fetchRecord","produces":["application/json","application/xml"],"parameters":[{"name":"apiKey","in":"query","description":"Required if no X-ELS-APIKey HTTP header, this represents a unique application developer key providing access to resource.","required":true,"type":"string"},{"name":"docId","in":"query","description":"DocId values corresponding to record to retreieve. The docId values are found in the DOC/DOC-ID values of the results returned by the Engineering Village Search API.","required":true,"type":"array","items":{"type":"string"},"collectionFormat":"multi"},{"name":"access_token","in":"query","description":"Override for HTTP header Authorization, this contains the OAuth bearer access token, where the format of the field is \"&lt;token&gt;\" (where the token represents the end-user session key). The presence of a bearer token implies the request will be executed against user-based entitlements.","required":false,"type":"string"}],"responses":{"200":{"description":"Engineering Village Retreival Response","schema":{"$ref":"#/definitions/PageContainer"}},"400":{"description":"Invalid Request: This is an error that occurs when invalid information is submitted.","schema":{"$ref":"#/definitions/ServiceErrorWrap"}},"401":{"description":"Authentication Error: This is an error that occurs when a user cannot be authenticated due to missing/invalid credentials (authtoken or APIKey).","schema":{"$ref":"#/definitions/ServiceErrorWrap"}},"403":{"description":"Authorization/Entitlements Error: This is an error that occurs when a user cannot be authenticated or entitlements cannot be validated.","schema":{"$ref":"#/definitions/ServiceErrorWrap"}},"429":{"description":"Quota Exceeded: This is an error that occurs when a requester has exceeded the quota limits associated with their API Key.","schema":{"$ref":"#/definitions/ServiceErrorWrap"}},"500":{"description":"Generic Error: This is a general purpose error condition, typically due to back-end processing errors.","schema":{"$ref":"#/definitions/ServiceErrorWrap"}}},"security":[{"basic":[]},{"apikey":[]},{"ipkey":[]}]}}},"securityDefinitions":{"apikey":{"type":"apiKey","name":"X-ELS-AuthToken","in":"header"},"basic":{"type":"basic"},"ipkey":{"type":"apiKey","name":"els-client-ip","in":"header"}},"definitions":{"Affiliation":{"type":"object","properties":{"ID":{"type":"string","xml":{"name":"ID","attribute":true,"wrapped":false}},"NAME":{"type":"string","xml":{"name":"NAME","attribute":false,"wrapped":false}}},"title":"Affiliation"},"Afs":{"type":"object","properties":{"AF":{"type":"array","xml":{"name":"AF","attribute":false,"wrapped":false},"description":"Authors affiliation list","allowEmptyValue":false,"items":{"$ref":"#/definitions/Affiliation"}}},"title":"Afs"},"Aus":{"type":"object","properties":{"AU":{"type":"array","xml":{"name":"AU","attribute":false,"wrapped":false},"description":"Author list","allowEmptyValue":false,"items":{"$ref":"#/definitions/ContributorInfo"}}},"title":"Aus"},"CitationEiDoc":{"type":"object","properties":{"AFS":{"xml":{"name":"AFS","attribute":false,"wrapped":false},"description":"Authors affiliation","allowEmptyValue":false,"$ref":"#/definitions/Afs"},"AUS":{"xml":{"name":"AUS","attribute":false,"wrapped":false},"description":"Authors","allowEmptyValue":false,"$ref":"#/definitions/Aus"},"DOC":{"xml":{"name":"DOC","attribute":false,"wrapped":false},"allowEmptyValue":false,"$ref":"#/definitions/DocID"},"DOCUMENTPROPERTIES":{"type":"object","additionalProperties":{"type":"string"}},"EDS":{"xml":{"name":"EDS","attribute":false,"wrapped":false},"description":"Editors","allowEmptyValue":false,"$ref":"#/definitions/Eds"},"EFS":{"xml":{"name":"EFS","attribute":false,"wrapped":false},"description":"Editors affiliation","allowEmptyValue":false,"$ref":"#/definitions/Efs"},"FT":{"xml":{"name":"FT","attribute":false,"wrapped":false},"$ref":"#/definitions/FT"},"VIEW":{"type":"string","xml":{"name":"VIEW","attribute":true,"wrapped":false}},"docProperties":{"xml":{"name":"DOCUMENTPROPERTIES","attribute":false,"wrapped":false},"$ref":"#/definitions/DocProperties"}},"title":"CitationEiDoc"},"ContributorAffiliation":{"type":"object","properties":{"AFID":{"type":"array","xml":{"name":"AFID","attribute":false,"wrapped":false},"description":"Affiliation ID list","allowEmptyValue":false,"items":{"type":"string"}}},"title":"ContributorAffiliation"},"ContributorInfo":{"type":"object","properties":{"AFS":{"xml":{"name":"AFS","attribute":false,"wrapped":false},"description":"Affiliations","allowEmptyValue":false,"$ref":"#/definitions/ContributorAffiliation"},"CO":{"type":"string","xml":{"name":"CO","attribute":false,"wrapped":false},"description":"Country","allowEmptyValue":false},"EMAIL":{"type":"string","xml":{"name":"EMAIL","attribute":false,"wrapped":false}},"ID":{"type":"string","xml":{"name":"ID","attribute":true,"wrapped":false}},"NAME":{"type":"string","xml":{"name":"NAME","attribute":false,"wrapped":false}}},"title":"ContributorInfo"},"Database":{"type":"object","properties":{"DBNAME":{"type":"string","xml":{"name":"DBNAME","attribute":false,"wrapped":false}},"ID":{"type":"string","xml":{"name":"ID","attribute":false,"wrapped":false}}},"title":"Database"},"DocID":{"type":"object","properties":{"DB":{"xml":{"name":"DB","attribute":false,"wrapped":false},"$ref":"#/definitions/Database"},"DOC-ID":{"type":"string","xml":{"name":"DOC-ID","attribute":false,"wrapped":false}},"HITINDEX":{"type":"integer","format":"int32","xml":{"name":"HITINDEX","attribute":false,"wrapped":false}},"TAGDATE":{"type":"string","xml":{"name":"TAGDATE","attribute":false,"wrapped":false}}},"title":"DocID"},"DocProperties":{"type":"object","properties":{"any":{"type":"object","additionalProperties":{"type":"string"}}},"title":"DocProperties"},"Eds":{"type":"object","properties":{"ED":{"type":"array","xml":{"name":"ED","attribute":false,"wrapped":false},"description":"Editor list","allowEmptyValue":false,"items":{"$ref":"#/definitions/ContributorInfo"}}},"title":"Eds"},"Efs":{"type":"object","properties":{"EF":{"type":"array","xml":{"name":"EF","attribute":false,"wrapped":false},"description":"Editors affiliation list","allowEmptyValue":false,"items":{"$ref":"#/definitions/Affiliation"}}},"title":"Efs"},"FT":{"type":"object","properties":{"FTLINK":{"type":"string","xml":{"name":"FTLINK","attribute":true,"wrapped":false}}},"title":"FT"},"ModifierResult":{"type":"object","properties":{"COUNT":{"type":"string","xml":{"name":"COUNT","attribute":false,"wrapped":false}},"LABEL":{"type":"string","xml":{"name":"LABEL","attribute":false,"wrapped":false}},"VALUE":{"type":"string","xml":{"name":"VALUE","attribute":false,"wrapped":false}}},"title":"ModifierResult"},"NavigatorResult":{"type":"object","properties":{"FIELD":{"type":"string","xml":{"name":"FIELD","attribute":false,"wrapped":false}},"INCLUDEALL":{"type":"string","xml":{"name":"INCLUDEALL","attribute":false,"wrapped":false}},"LABEL":{"type":"string","xml":{"name":"LABEL","attribute":false,"wrapped":false}},"MODIFIER":{"xml":{"name":"MODIFIER","attribute":false,"wrapped":false},"$ref":"#/definitions/ModifierResult"},"NAME":{"type":"string","xml":{"name":"NAME","attribute":false,"wrapped":false}},"OPEN":{"type":"string","xml":{"name":"OPEN","attribute":false,"wrapped":false}},"ORDER":{"type":"string","xml":{"name":"ORDER","attribute":false,"wrapped":false}},"PAGERS":{"xml":{"name":"PAGERS","attribute":false,"wrapped":false},"$ref":"#/definitions/PagerResult"}},"title":"NavigatorResult"},"NavigatorResults":{"type":"object","properties":{"COMPMASK":{"type":"string","xml":{"name":"COMPMASK","attribute":false,"wrapped":false}},"NAVIGATOR":{"type":"array","xml":{"name":"NAVIGATOR","attribute":false,"wrapped":false},"items":{"$ref":"#/definitions/NavigatorResult"}}},"title":"NavigatorResults"},"PageContainer":{"type":"object","properties":{"PAGE":{"$ref":"#/definitions/PageContainerItems"}},"title":"PageContainer"},"PageContainerItems":{"type":"object","properties":{"NAVIGATORS":{"xml":{"name":"NAVIGATORS","attribute":false,"wrapped":false},"$ref":"#/definitions/NavigatorResults"},"PAGE-RESULTS":{"xml":{"name":"PAGE-RESULTS","attribute":false,"wrapped":false},"$ref":"#/definitions/PageResults"},"RESULTS-COUNT":{"type":"integer","format":"int32","xml":{"name":"RESULTS-COUNT","attribute":false,"wrapped":false}},"RESULTS-PER-PAGE":{"type":"integer","format":"int32","xml":{"name":"RESULTS-PER-PAGE","attribute":false,"wrapped":false}}},"title":"PageContainerItems","xml":{"name":"citationResultsPage","attribute":false,"wrapped":false}},"PageEntry":{"type":"object","properties":{"EI-DOCUMENT":{"xml":{"name":"EI-DOCUMENT","attribute":false,"wrapped":false},"$ref":"#/definitions/CitationEiDoc"}},"title":"PageEntry"},"PageResults":{"type":"object","properties":{"PAGE-ENTRY":{"type":"array","xml":{"name":"PAGE-ENTRY","attribute":false,"wrapped":false},"items":{"$ref":"#/definitions/PageEntry"}}},"title":"PageResults"},"PagerResult":{"type":"object","properties":{"FIELD":{"type":"string","xml":{"name":"FIELD","attribute":false,"wrapped":false}},"MORE":{"type":"string","xml":{"name":"MORE","attribute":false,"wrapped":false}},"TOTALSIZE":{"type":"string","xml":{"name":"TOTALSIZE","attribute":false,"wrapped":false}}},"title":"PagerResult"},"ServiceError":{"type":"object","properties":{"status":{"xml":{"name":"status","attribute":false,"wrapped":false},"$ref":"#/definitions/Status"}},"title":"ServiceError"},"ServiceErrorWrap":{"type":"object","properties":{"service-error":{"$ref":"#/definitions/ServiceError"}},"title":"ServiceErrorWrap"},"Status":{"type":"object","properties":{"statusCode":{"type":"string","xml":{"name":"statusCode","attribute":false,"wrapped":false}},"statusText":{"type":"string","xml":{"name":"statusText","attribute":false,"wrapped":false}}},"title":"Status"}}}